---
- hosts: cdn
  gather_facts: true
  become: true

  post_tasks:
  - name: check web site from control server
    uri:
      url: "http://{{ ansible_host }}:{{ nginx_port_no_tls }}"
      return_content: true
      validate_certs: false
    register: _result
    failed_when: _result.status != 200
    connection: local
    tags:
      - healthcheck